package Common.Visual.Tables;
import Common.Database.Objects.DBObject;
public class DBObjectSelector<T extends DBObject> extends EditorDBObject<T> {
    @Override
    public void Action() {
        value.SwitchSelection();
        setIcon(value.GetSelectionIcon());
    }
    @Override
    public Object getCellEditorValue() {
        return value.isSelected();
    }
}
